cURL
curl --request PUT \
--url https://api.flare.io/firework/v2/me/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"surname": "<string>",
"settings": {},
"color_scheme": "auto",
"language": "<string>"
}
'import requests
url = "https://api.flare.io/firework/v2/me/profile"
payload = {
"name": "<string>",
"surname": "<string>",
"settings": {},
"color_scheme": "auto",
"language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
surname: '<string>',
settings: {},
color_scheme: 'auto',
language: '<string>'
})
};
fetch('https://api.flare.io/firework/v2/me/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile": {
"name": "<string>",
"email": "<string>",
"language": "<string>",
"color_scheme": "auto",
"id": 123,
"surname": "<string>",
"organization_id": 123,
"settings": {
"default_search": "<string>",
"permissions": [
"<string>"
],
"organization_member_permissions": [
"<string>"
]
},
"is_disabled": true,
"feature_flags": {},
"registered_at": "2023-11-07T05:31:56Z",
"urn": "<string>",
"organization_member_permissions": {},
"flare_role": "<string>",
"tenants": [
{
"id": 123,
"name": "<string>",
"type": "<string>",
"description": "<string>",
"organization_id": 123,
"urn": "<string>",
"number_of_employees": 123,
"industry": "<string>",
"is_disabled": true,
"is_archived": true,
"feed_id": 123,
"permissions": [
"<string>"
],
"prevent_global_search": true
}
],
"is_sso_mandatory": true,
"has_password": true,
"cello_jwt": "<string>",
"needs_eusa": true,
"domain": "<string>",
"should_provide_signup_intent": true
}
}{
"message": "<string>",
"code": "<string>"
}Current User
Update User Profile
PUT
/
firework
/
v2
/
me
/
profile
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I